トッピンググループ取得
GET
/topping_groups/{topping_group_id}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/waiter/topping_groups/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/waiter/topping_groups/example \ --header 'Authorization: Bearer <token>'トッピンググループ情報を取得します
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”topping_group_id
required
string
トッピンググループID
Responses
Section titled “Responses”OK
Media typeapplication/json
object
id
required
トッピンググループID
string
name
トッピンググループ名
string
createdIn
作成元サービス
string
rule
選択条件
null:条件なし
object
condition
条件
all: 全体category: カテゴリ毎
string
max
上限
integer
min
下限
integer
Examples
Exampleレスポンス例
{ "id": "7", "name": "ハンバーグトッピング", "createdIn": "waiter", "rule": { "condition": "all", "max": 2, "min": 0 }}指定したデータが存在しない場合
Media typeapplication/json
object
title
required
string
type
required
string
status
integer
detail
string
Examplegenerated
{ "title": "example", "type": "example", "status": 1, "detail": "example"}